---------------------
PatchSet 6547 
Date: 2005/03/26 01:52:22
Author: hno
Branch: lfs-2_5
Tag: (none) 
Log:
Indented

Members: 
	lib/rfc1035.c:1.7.6.6.6.2->1.7.6.6.6.3 
	src/HttpHdrContRange.c:1.5.74.2->1.5.74.3 
	src/HttpHdrRange.c:1.7.74.2->1.7.74.3 
	src/HttpHeader.c:1.10.6.19.2.4->1.10.6.19.2.5 
	src/cache_cf.c:1.38.6.18.2.6->1.38.6.18.2.7 
	src/client.c:1.8.6.5.10.5->1.8.6.5.10.6 
	src/client_side.c:1.47.2.56.2.7->1.47.2.56.2.8 
	src/disk.c:1.8.14.2.8.4->1.8.14.2.8.5 
	src/ftp.c:1.18.6.18.2.5->1.18.6.18.2.6 
	src/htcp.c:1.9.2.5.2.5->1.9.2.5.2.6 
	src/http.c:1.17.6.26.2.4->1.17.6.26.2.5 
	src/peer_digest.c:1.10.6.1.16.3->1.10.6.1.16.4 
	src/squid.h:1.13.6.7.8.5->1.13.6.7.8.6 
	src/ssl.c:1.13.6.7.8.5->1.13.6.7.8.6 
	src/stat.c:1.13.6.11.2.3->1.13.6.11.2.4 
	src/stmem.c:1.7.66.6->1.7.66.7 
	src/store.c:1.16.6.7.6.7->1.16.6.7.6.8 
	src/store_client.c:1.9.6.2.16.8->1.9.6.2.16.9 
	src/store_log.c:1.7.74.2->1.7.74.3 
	src/store_swapout.c:1.11.2.1.30.9->1.11.2.1.30.10 
	src/structs.h:1.48.2.33.2.12->1.48.2.33.2.13 
	src/typedefs.h:1.25.6.6.8.8->1.25.6.6.8.9 
	src/fs/aufs/store_dir_aufs.c:1.23.6.9.8.8->1.23.6.9.8.9 
	src/fs/aufs/store_io_aufs.c:1.13.2.11.8.4->1.13.2.11.8.5 
	src/fs/coss/store_io_coss.c:1.9.6.6.16.2->1.9.6.6.16.3 
	src/fs/diskd/diskd.c:1.6.122.2->1.6.122.3 
	src/fs/diskd/store_dir_diskd.c:1.32.6.8.16.7->1.32.6.8.16.8 
	src/fs/diskd/store_io_diskd.c:1.8.22.3.26.2->1.8.22.3.26.3 
	src/fs/ufs/store_dir_ufs.c:1.21.6.10.8.7->1.21.6.10.8.8 
	src/fs/ufs/store_io_ufs.c:1.7.6.3.8.3->1.7.6.3.8.4 

Index: squid/lib/rfc1035.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc1035.c,v
retrieving revision 1.7.6.6.6.2
retrieving revision 1.7.6.6.6.3
diff -u -r1.7.6.6.6.2 -r1.7.6.6.6.3
--- squid/lib/rfc1035.c	3 Mar 2005 03:20:01 -0000	1.7.6.6.6.2
+++ squid/lib/rfc1035.c	26 Mar 2005 01:52:22 -0000	1.7.6.6.6.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: rfc1035.c,v 1.7.6.6.6.2 2005/03/03 03:20:01 hno Exp $
+ * $Id: rfc1035.c,v 1.7.6.6.6.3 2005/03/26 01:52:22 hno Exp $
  *
  * Low level DNS protocol routines
  * AUTHOR: Duane Wessels
@@ -238,7 +238,7 @@
  * Returns 0 (success) or 1 (error)
  */
 static int
-rfc1035HeaderUnpack(const char *buf, size_t sz, int * off, rfc1035_header * h)
+rfc1035HeaderUnpack(const char *buf, size_t sz, int *off, rfc1035_header * h)
 {
     unsigned short s;
     unsigned short t;
@@ -299,7 +299,7 @@
  * Returns 0 (success) or 1 (error)
  */
 static int
-rfc1035NameUnpack(const char *buf, size_t sz, int * off, unsigned short *rdlength, char *name, size_t ns, int rdepth)
+rfc1035NameUnpack(const char *buf, size_t sz, int *off, unsigned short *rdlength, char *name, size_t ns, int rdepth)
 {
     int no = 0;
     unsigned char c;
@@ -312,7 +312,7 @@
 	    /* blasted compression */
 	    unsigned short s;
 	    int ptr;
-	    if (rdepth > 64)		/* infinite pointer loop */
+	    if (rdepth > 64)	/* infinite pointer loop */
 		return 1;
 	    memcpy(&s, buf + (*off), sizeof(s));
 	    s = ntohs(s);
@@ -367,7 +367,7 @@
  * Returns 0 (success) or 1 (error)
  */
 static int
-rfc1035RRUnpack(const char *buf, size_t sz, int * off, rfc1035_rr * RR)
+rfc1035RRUnpack(const char *buf, size_t sz, int *off, rfc1035_rr * RR)
 {
     unsigned short s;
     unsigned int i;
@@ -413,7 +413,7 @@
     case RFC1035_TYPE_PTR:
 	RR->rdata = malloc(RFC1035_MAXHOSTNAMESZ);
 	rdata_off = *off;
-	RR->rdlength = 0; /* Filled in by rfc1035NameUnpack */
+	RR->rdlength = 0;	/* Filled in by rfc1035NameUnpack */
 	if (rfc1035NameUnpack(buf, sz, &rdata_off, &RR->rdlength, RR->rdata, RFC1035_MAXHOSTNAMESZ, 0))
 	    return 1;
 	if (rdata_off != ((*off) + rdlength)) {
@@ -562,8 +562,8 @@
     }
     if (hdr.ancount == 0)
 	return 0;
-    recs = calloc((int)hdr.ancount, sizeof(*recs));
-    for (i = 0; i < (int)hdr.ancount; i++) {
+    recs = calloc((int) hdr.ancount, sizeof(*recs));
+    for (i = 0; i < (int) hdr.ancount; i++) {
 	if (off >= sz) {	/* corrupt packet */
 	    RFC1035_UNPACK_DEBUG;
 	    break;
Index: squid/src/HttpHdrContRange.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHdrContRange.c,v
retrieving revision 1.5.74.2
retrieving revision 1.5.74.3
diff -u -r1.5.74.2 -r1.5.74.3
--- squid/src/HttpHdrContRange.c	3 Mar 2005 03:44:01 -0000	1.5.74.2
+++ squid/src/HttpHdrContRange.c	26 Mar 2005 01:52:22 -0000	1.5.74.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrContRange.c,v 1.5.74.2 2005/03/03 03:44:01 hno Exp $
+ * $Id: HttpHdrContRange.c,v 1.5.74.3 2005/03/26 01:52:22 hno Exp $
  *
  * DEBUG: section 68    HTTP Content-Range Header
  * AUTHOR: Alex Rousskov
@@ -101,7 +101,7 @@
     if (!known_spec(spec->offset) || !known_spec(spec->length))
 	packerPrintf(p, "*");
     else
-	packerPrintf(p, "bytes %"PRINTF_OFF_T"-%"PRINTF_OFF_T"",
+	packerPrintf(p, "bytes %" PRINTF_OFF_T "-%" PRINTF_OFF_T "",
 	    spec->offset, spec->offset + spec->length - 1);
 }
 
@@ -152,7 +152,7 @@
 	range->elength = range_spec_unknown;
     else if (!httpHeaderParseSize(p, &range->elength))
 	return 0;
-    debug(68, 8) ("parsed content-range field: %"PRINTF_OFF_T"-%"PRINTF_OFF_T" / %"PRINTF_OFF_T"\n",
+    debug(68, 8) ("parsed content-range field: %" PRINTF_OFF_T "-%" PRINTF_OFF_T " / %" PRINTF_OFF_T "\n",
 	range->spec.offset, range->spec.offset + range->spec.length - 1,
 	range->elength);
     return 1;
Index: squid/src/HttpHdrRange.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHdrRange.c,v
retrieving revision 1.7.74.2
retrieving revision 1.7.74.3
diff -u -r1.7.74.2 -r1.7.74.3
--- squid/src/HttpHdrRange.c	3 Mar 2005 03:44:01 -0000	1.7.74.2
+++ squid/src/HttpHdrRange.c	26 Mar 2005 01:52:22 -0000	1.7.74.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrRange.c,v 1.7.74.2 2005/03/03 03:44:01 hno Exp $
+ * $Id: HttpHdrRange.c,v 1.7.74.3 2005/03/26 01:52:22 hno Exp $
  *
  * DEBUG: section 64    HTTP Range Header
  * AUTHOR: Alex Rousskov
@@ -136,11 +136,11 @@
 httpHdrRangeSpecPackInto(const HttpHdrRangeSpec * spec, Packer * p)
 {
     if (!known_spec(spec->offset))	/* suffix */
-	packerPrintf(p, "-%"PRINTF_OFF_T, spec->length);
+	packerPrintf(p, "-%" PRINTF_OFF_T, spec->length);
     else if (!known_spec(spec->length))		/* trailer */
-	packerPrintf(p, "%"PRINTF_OFF_T"-", spec->offset);
+	packerPrintf(p, "%" PRINTF_OFF_T "-", spec->offset);
     else			/* range */
-	packerPrintf(p, "%"PRINTF_OFF_T"-%"PRINTF_OFF_T,
+	packerPrintf(p, "%" PRINTF_OFF_T "-%" PRINTF_OFF_T,
 	    spec->offset, spec->offset + spec->length - 1);
 }
 
@@ -151,7 +151,7 @@
 static int
 httpHdrRangeSpecCanonize(HttpHdrRangeSpec * spec, size_t clen)
 {
-    debug(64, 5) ("httpHdrRangeSpecCanonize: have: [%"PRINTF_OFF_T", %"PRINTF_OFF_T") len: %"PRINTF_OFF_T"\n",
+    debug(64, 5) ("httpHdrRangeSpecCanonize: have: [%" PRINTF_OFF_T ", %" PRINTF_OFF_T ") len: %" PRINTF_OFF_T "\n",
 	spec->offset, spec->offset + spec->length, spec->length);
     if (!known_spec(spec->offset))	/* suffix */
 	spec->offset = size_diff(clen, spec->length);
@@ -162,7 +162,7 @@
     assert(known_spec(spec->offset));
     spec->length = size_min(size_diff(clen, spec->offset), spec->length);
     /* check range validity */
-    debug(64, 5) ("httpHdrRangeSpecCanonize: done: [%"PRINTF_OFF_T", %"PRINTF_OFF_T") len: %"PRINTF_OFF_T"\n",
+    debug(64, 5) ("httpHdrRangeSpecCanonize: done: [%" PRINTF_OFF_T ", %" PRINTF_OFF_T ") len: %" PRINTF_OFF_T "\n",
 	spec->offset, spec->offset + spec->length, spec->length);
     return spec->length > 0;
 }
Index: squid/src/HttpHeader.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHeader.c,v
retrieving revision 1.10.6.19.2.4
retrieving revision 1.10.6.19.2.5
diff -u -r1.10.6.19.2.4 -r1.10.6.19.2.5
--- squid/src/HttpHeader.c	10 Mar 2005 14:18:20 -0000	1.10.6.19.2.4
+++ squid/src/HttpHeader.c	26 Mar 2005 01:52:22 -0000	1.10.6.19.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHeader.c,v 1.10.6.19.2.4 2005/03/10 14:18:20 hno Exp $
+ * $Id: HttpHeader.c,v 1.10.6.19.2.5 2005/03/26 01:52:22 hno Exp $
  *
  * DEBUG: section 55    HTTP Header
  * AUTHOR: Alex Rousskov
@@ -818,9 +818,9 @@
 {
     char size[64];
     assert_eid(id);
-    assert(Headers[id].type == ftSize);	/* must be of an appropriate type */
+    assert(Headers[id].type == ftSize);		/* must be of an appropriate type */
     assert(number >= 0);
-    snprintf(size, sizeof(size), "%"PRINTF_OFF_T, number);
+    snprintf(size, sizeof(size), "%" PRINTF_OFF_T, number);
     httpHeaderAddEntry(hdr, httpHeaderEntryCreate(id, NULL, size));
 }
 
@@ -937,7 +937,7 @@
     squid_off_t value = -1;
     int ok;
     assert_eid(id);
-    assert(Headers[id].type == ftSize);	/* must be of an appropriate type */
+    assert(Headers[id].type == ftSize);		/* must be of an appropriate type */
     if ((e = httpHeaderFindEntry(hdr, id))) {
 	ok = httpHeaderParseSize(strBuf(e->value), &value);
 	httpHeaderNoteParsedEntry(e->id, e->value, !ok);
Index: squid/src/cache_cf.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cache_cf.c,v
retrieving revision 1.38.6.18.2.6
retrieving revision 1.38.6.18.2.7
diff -u -r1.38.6.18.2.6 -r1.38.6.18.2.7
--- squid/src/cache_cf.c	12 Mar 2005 01:31:51 -0000	1.38.6.18.2.6
+++ squid/src/cache_cf.c	26 Mar 2005 01:52:22 -0000	1.38.6.18.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_cf.c,v 1.38.6.18.2.6 2005/03/12 01:31:51 hno Exp $
+ * $Id: cache_cf.c,v 1.38.6.18.2.7 2005/03/26 01:52:22 hno Exp $
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -2123,20 +2123,21 @@
 static void
 dump_size_t(StoreEntry * entry, const char *name, squid_off_t var)
 {
-    storeAppendPrintf(entry, "%s %"PRINTF_OFF_T"\n", name, var);
+    storeAppendPrintf(entry, "%s %" PRINTF_OFF_T "\n", name, var);
 }
+
 #endif
 
 static void
 dump_b_size_t(StoreEntry * entry, const char *name, squid_off_t var)
 {
-    storeAppendPrintf(entry, "%s %"PRINTF_OFF_T" %s\n", name, var, B_BYTES_STR);
+    storeAppendPrintf(entry, "%s %" PRINTF_OFF_T " %s\n", name, var, B_BYTES_STR);
 }
 
 static void
 dump_kb_size_t(StoreEntry * entry, const char *name, squid_off_t var)
 {
-    storeAppendPrintf(entry, "%s %"PRINTF_OFF_T" %s\n", name, var, B_KBYTES_STR);
+    storeAppendPrintf(entry, "%s %" PRINTF_OFF_T " %s\n", name, var, B_KBYTES_STR);
 }
 
 static void
@@ -2168,7 +2169,7 @@
 	acl_list *l;
 	acl_access *head = bs->access_list;
 	while (head != NULL) {
-	    storeAppendPrintf(entry, "%s %"PRINTF_OFF_T" %s", name, bs->maxsize,
+	    storeAppendPrintf(entry, "%s %" PRINTF_OFF_T " %s", name, bs->maxsize,
 		head->allow ? "Allow" : "Deny");
 	    for (l = head->acl_list; l != NULL; l = l->next) {
 		storeAppendPrintf(entry, " %s%s",
Index: squid/src/client.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/client.c,v
retrieving revision 1.8.6.5.10.5
retrieving revision 1.8.6.5.10.6
diff -u -r1.8.6.5.10.5 -r1.8.6.5.10.6
--- squid/src/client.c	3 Mar 2005 04:43:41 -0000	1.8.6.5.10.5
+++ squid/src/client.c	26 Mar 2005 01:52:23 -0000	1.8.6.5.10.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client.c,v 1.8.6.5.10.5 2005/03/03 04:43:41 hno Exp $
+ * $Id: client.c,v 1.8.6.5.10.6 2005/03/26 01:52:23 hno Exp $
  *
  * DEBUG: section 0     WWW Client
  * AUTHOR: Harvest Derived
@@ -379,7 +379,7 @@
 		tmp->tm_hour, tmp->tm_min, tmp->tm_sec, i + 1,
 		elapsed_msec / 1000, elapsed_msec % 1000,
 		elapsed_msec ? (double) fsize / elapsed_msec * 1000 / 1024 : -1.0,
-		(long long)(fsize + 1023) / 1024);
+		(long long) (fsize + 1023) / 1024);
 	    if (i == 0 || elapsed_msec < ping_min)
 		ping_min = elapsed_msec;
 	    if (i == 0 || elapsed_msec > ping_max)
Index: squid/src/client_side.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/client_side.c,v
retrieving revision 1.47.2.56.2.7
retrieving revision 1.47.2.56.2.8
diff -u -r1.47.2.56.2.7 -r1.47.2.56.2.8
--- squid/src/client_side.c	11 Mar 2005 23:54:24 -0000	1.47.2.56.2.7
+++ squid/src/client_side.c	26 Mar 2005 01:52:23 -0000	1.47.2.56.2.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.c,v 1.47.2.56.2.7 2005/03/11 23:54:24 hno Exp $
+ * $Id: client_side.c,v 1.47.2.56.2.8 2005/03/26 01:52:23 hno Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -1247,8 +1247,8 @@
 	/* account for range content */
 	clen += spec->length;
 
-	debug(33, 6) ("clientMRangeCLen: (clen += %ld + %"PRINTF_OFF_T") == %"PRINTF_OFF_T"\n",
-	    (long int)mb.size, spec->length, clen);
+	debug(33, 6) ("clientMRangeCLen: (clen += %ld + %" PRINTF_OFF_T ") == %" PRINTF_OFF_T "\n",
+	    (long int) mb.size, spec->length, clen);
     }
     /* account for the terminating boundary */
     memBufReset(&mb);
@@ -1297,7 +1297,7 @@
 	const int spec_count = http->request->range->specs.count;
 	squid_off_t actual_clen = -1;
 
-	debug(33, 3) ("clientBuildRangeHeader: range spec count: %d virgin clen: %"PRINTF_OFF_T"\n",
+	debug(33, 3) ("clientBuildRangeHeader: range spec count: %d virgin clen: %" PRINTF_OFF_T "\n",
 	    spec_count, rep->content_length);
 	assert(spec_count > 0);
 	/* ETags should not be returned with Partial Content replies? */
@@ -1330,7 +1330,7 @@
 	assert(actual_clen >= 0);
 	httpHeaderDelById(hdr, HDR_CONTENT_LENGTH);
 	httpHeaderPutSize(hdr, HDR_CONTENT_LENGTH, actual_clen);
-	debug(33, 3) ("clientBuildRangeHeader: actual content length: %"PRINTF_OFF_T"\n", actual_clen);
+	debug(33, 3) ("clientBuildRangeHeader: actual content length: %" PRINTF_OFF_T "\n", actual_clen);
     }
 }
 
@@ -1807,7 +1807,7 @@
     assert(i->prefix_size > 0);
     /* filter out data according to range specs */
     while (clientCanPackMoreRanges(http, i, size)) {
-	squid_off_t start;		/* offset of still missing data */
+	squid_off_t start;	/* offset of still missing data */
 	assert(i->spec);
 	start = i->spec->offset + i->spec->length - i->debt_size;
 	debug(33, 3) ("clientPackMoreRanges: in:  offset: %ld size: %ld\n",
@@ -2189,8 +2189,8 @@
     StoreEntry *entry = http->entry;
     int done;
     http->out.size += size;
-    debug(33, 5) ("clientWriteComplete: FD %d, sz %d, err %d, off %"PRINTF_OFF_T", len %"PRINTF_OFF_T"\n",
-	fd, (int)size, errflag, http->out.offset, entry ? objectLen(entry) : (squid_off_t)0);
+    debug(33, 5) ("clientWriteComplete: FD %d, sz %d, err %d, off %" PRINTF_OFF_T ", len %" PRINTF_OFF_T "\n",
+	fd, (int) size, errflag, http->out.offset, entry ? objectLen(entry) : (squid_off_t) 0);
     if (size > 0) {
 	kb_incr(&statCounter.client_http.kbytes_out, size);
 	if (isTcpHit(http->log_type))
Index: squid/src/disk.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/disk.c,v
retrieving revision 1.8.14.2.8.4
retrieving revision 1.8.14.2.8.5
diff -u -r1.8.14.2.8.4 -r1.8.14.2.8.5
--- squid/src/disk.c	12 Mar 2005 01:31:53 -0000	1.8.14.2.8.4
+++ squid/src/disk.c	26 Mar 2005 01:52:23 -0000	1.8.14.2.8.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: disk.c,v 1.8.14.2.8.4 2005/03/12 01:31:53 hno Exp $
+ * $Id: disk.c,v 1.8.14.2.8.5 2005/03/26 01:52:23 hno Exp $
  *
  * DEBUG: section 6     Disk I/O Routines
  * AUTHOR: Harvest Derived
@@ -239,7 +239,7 @@
 	q->buf_offset += len;
 	if (q->buf_offset > q->len)
 	    debug(50, 1) ("diskHandleWriteComplete: q->buf_offset > q->len (%p,%d, %d, %d FD %d)\n",
-		q, (int) q->buf_offset, (int)q->len, len, fd);
+		q, (int) q->buf_offset, (int) q->len, len, fd);
 	assert(q->buf_offset <= q->len);
 	if (q->buf_offset == q->len) {
 	    /* complete write */
Index: squid/src/ftp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ftp.c,v
retrieving revision 1.18.6.18.2.5
retrieving revision 1.18.6.18.2.6
diff -u -r1.18.6.18.2.5 -r1.18.6.18.2.6
--- squid/src/ftp.c	10 Mar 2005 14:18:22 -0000	1.18.6.18.2.5
+++ squid/src/ftp.c	26 Mar 2005 01:52:23 -0000	1.18.6.18.2.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ftp.c,v 1.18.6.18.2.5 2005/03/10 14:18:22 hno Exp $
+ * $Id: ftp.c,v 1.18.6.18.2.6 2005/03/26 01:52:23 hno Exp $
  *
  * DEBUG: section 9     File Transfer Protocol (FTP)
  * AUTHOR: Harvest Derived
@@ -775,19 +775,19 @@
 	    snprintf(icon, 2048, "<IMG border=\"0\" SRC=\"%s\" ALT=\"%-6s\">",
 		mimeGetIconURL(parts->name),
 		"[FILE]");
-	    if (sz > 10 * 1024 ) {
+	    if (sz > 10 * 1024) {
 		sz = (sz + 1023) >> 10;
 		units = 'K';
 	    }
-	    if (sz > 10 * 1024 ) {
+	    if (sz > 10 * 1024) {
 		sz = (sz + 1023) >> 10;
 		units = 'M';
 	    }
-	    if (sz > 10 * 1024 ) {
+	    if (sz > 10 * 1024) {
 		sz = (sz + 1023) >> 10;
 		units = 'G';
 	    }
-	    snprintf(size, 2048, " %6"PRINTF_OFF_T"%c", sz, units);
+	    snprintf(size, 2048, " %6" PRINTF_OFF_T "%c", sz, units);
 	}
 	break;
     }
@@ -842,13 +842,13 @@
     while (*end != '\r' && *end != '\n' && end > sbuf)
 	end--;
     usable = end - sbuf;
-    debug(9, 3) ("ftpParseListing: usable = %d\n", (int)usable);
+    debug(9, 3) ("ftpParseListing: usable = %d\n", (int) usable);
     if (usable == 0) {
 	debug(9, 3) ("ftpParseListing: didn't find end for %s\n", storeUrl(e));
 	xfree(sbuf);
 	return;
     }
-    debug(9, 3) ("ftpParseListing: %d bytes to play with\n", (int)len);
+    debug(9, 3) ("ftpParseListing: %d bytes to play with\n", (int) len);
     line = memAllocate(MEM_4K_BUF);
     end++;
     storeBuffer(e);
@@ -2093,7 +2093,7 @@
 static void
 ftpSendRest(FtpStateData * ftpState)
 {
-    snprintf(cbuf, 1024, "REST %"PRINTF_OFF_T"\r\n", ftpState->restart_offset);
+    snprintf(cbuf, 1024, "REST %" PRINTF_OFF_T "\r\n", ftpState->restart_offset);
     ftpWriteCommand(cbuf, ftpState);
     ftpState->state = SENT_REST;
 }
Index: squid/src/htcp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/htcp.c,v
retrieving revision 1.9.2.5.2.5
retrieving revision 1.9.2.5.2.6
diff -u -r1.9.2.5.2.5 -r1.9.2.5.2.6
--- squid/src/htcp.c	5 Mar 2005 20:58:58 -0000	1.9.2.5.2.5
+++ squid/src/htcp.c	26 Mar 2005 01:52:23 -0000	1.9.2.5.2.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: htcp.c,v 1.9.2.5.2.5 2005/03/05 20:58:58 hno Exp $
+ * $Id: htcp.c,v 1.9.2.5.2.6 2005/03/26 01:52:23 hno Exp $
  *
  * DEBUG: section 31    Hypertext Caching Protocol
  * AUTHOR: Duane Wesssels
@@ -234,7 +234,7 @@
 	len = strlen(s);
     else
 	len = 0;
-    debug(31, 3) ("htcpBuildCountstr: LENGTH = %d\n", (int)len);
+    debug(31, 3) ("htcpBuildCountstr: LENGTH = %d\n", (int) len);
     debug(31, 3) ("htcpBuildCountstr: TEXT = {%s}\n", s ? s : "<NULL>");
     length = htons((u_short) len);
     xmemcpy(buf + off, &length, 2);
Index: squid/src/http.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/http.c,v
retrieving revision 1.17.6.26.2.4
retrieving revision 1.17.6.26.2.5
diff -u -r1.17.6.26.2.4 -r1.17.6.26.2.5
--- squid/src/http.c	10 Mar 2005 14:18:22 -0000	1.17.6.26.2.4
+++ squid/src/http.c	26 Mar 2005 01:52:24 -0000	1.17.6.26.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.c,v 1.17.6.26.2.4 2005/03/10 14:18:22 hno Exp $
+ * $Id: http.c,v 1.17.6.26.2.5 2005/03/26 01:52:24 hno Exp $
  *
  * DEBUG: section 11    Hypertext Transfer Protocol (HTTP)
  * AUTHOR: Harvest Derived
@@ -530,7 +530,7 @@
     HttpReply *reply = mem->reply;
     squid_off_t clen;
     debug(11, 3) ("httpPconnTransferDone: FD %d\n", httpState->fd);
-    debug(11, 5) ("httpPconnTransferDone: content_length=%"PRINTF_OFF_T"\n",
+    debug(11, 5) ("httpPconnTransferDone: content_length=%" PRINTF_OFF_T "\n",
 	reply->content_length);
     /* If we haven't seen the end of reply headers, we are not done */
     if (httpState->reply_hdr_state < 2)
Index: squid/src/peer_digest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/peer_digest.c,v
retrieving revision 1.10.6.1.16.3
retrieving revision 1.10.6.1.16.4
diff -u -r1.10.6.1.16.3 -r1.10.6.1.16.4
--- squid/src/peer_digest.c	5 Mar 2005 20:58:58 -0000	1.10.6.1.16.3
+++ squid/src/peer_digest.c	26 Mar 2005 01:52:24 -0000	1.10.6.1.16.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: peer_digest.c,v 1.10.6.1.16.3 2005/03/05 20:58:58 hno Exp $
+ * $Id: peer_digest.c,v 1.10.6.1.16.4 2005/03/26 01:52:24 hno Exp $
  *
  * DEBUG: section 72    Peer Digest Routines
  * AUTHOR: Alex Rousskov
@@ -498,7 +498,7 @@
     fetch->offset += size;
     fetch->mask_offset += size;
     if (fetch->mask_offset >= pd->cd->mask_size) {
-	debug(72, 2) ("peerDigestSwapInMask: Done! Got %"PRINTF_OFF_T", expected %d\n",
+	debug(72, 2) ("peerDigestSwapInMask: Done! Got %" PRINTF_OFF_T ", expected %d\n",
 	    fetch->mask_offset, pd->cd->mask_size);
 	assert(fetch->mask_offset == pd->cd->mask_size);
 	assert(peerDigestFetchedEnough(fetch, NULL, 0, "peerDigestSwapInMask"));
@@ -540,8 +540,8 @@
 	else
 	    host = strBuf(pd->host);
     }
-    debug(72, 6) ("%s: peer %s, offset: %"PRINTF_OFF_T" size: %d.\n",
-	step_name, host, fcb_valid ? fetch->offset : (squid_off_t)-1, (int)size);
+    debug(72, 6) ("%s: peer %s, offset: %" PRINTF_OFF_T " size: %d.\n",
+	step_name, host, fcb_valid ? fetch->offset : (squid_off_t) - 1, (int) size);
 
     /* continue checking (with pd and host known and valid) */
     if (!reason) {
@@ -778,7 +778,7 @@
     /* check consistency further */
     if (cblock.mask_size != cacheDigestCalcMaskSize(cblock.capacity, cblock.bits_per_entry)) {
 	debug(72, 0) ("%s digest cblock is corrupted (mask size mismatch: %d ? %d).\n",
-	    host, cblock.mask_size, (int)cacheDigestCalcMaskSize(cblock.capacity, cblock.bits_per_entry));
+	    host, cblock.mask_size, (int) cacheDigestCalcMaskSize(cblock.capacity, cblock.bits_per_entry));
 	return 0;
     }
     /* there are some things we cannot do yet */
Index: squid/src/squid.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/squid.h,v
retrieving revision 1.13.6.7.8.5
retrieving revision 1.13.6.7.8.6
diff -u -r1.13.6.7.8.5 -r1.13.6.7.8.6
--- squid/src/squid.h	13 Mar 2005 01:16:47 -0000	1.13.6.7.8.5
+++ squid/src/squid.h	26 Mar 2005 01:52:25 -0000	1.13.6.7.8.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: squid.h,v 1.13.6.7.8.5 2005/03/13 01:16:47 hno Exp $
+ * $Id: squid.h,v 1.13.6.7.8.6 2005/03/26 01:52:25 hno Exp $
  *
  * AUTHOR: Duane Wessels
  *
@@ -486,7 +486,7 @@
  * large objects
  */
 #if LARGE_CACHE_FILES && SIZEOF_SQUID_OFF_T <= 4
-#  error Your platform does not support large integers. Can not build with --enable-large-cache-files
+#error Your platform does not support large integers. Can not build with --enable-large-cache-files
 #endif
 
 #endif /* SQUID_H */
Index: squid/src/ssl.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ssl.c,v
retrieving revision 1.13.6.7.8.5
retrieving revision 1.13.6.7.8.6
diff -u -r1.13.6.7.8.5 -r1.13.6.7.8.6
--- squid/src/ssl.c	23 Mar 2005 11:18:36 -0000	1.13.6.7.8.5
+++ squid/src/ssl.c	26 Mar 2005 01:52:25 -0000	1.13.6.7.8.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ssl.c,v 1.13.6.7.8.5 2005/03/23 11:18:36 hno Exp $
+ * $Id: ssl.c,v 1.13.6.7.8.6 2005/03/26 01:52:25 hno Exp $
  *
  * DEBUG: section 26    Secure Sockets Layer Proxy
  * AUTHOR: Duane Wessels
@@ -46,7 +46,7 @@
 	int len;
 	char *buf;
     } client, server;
-    squid_off_t *size_ptr;		/* pointer to size in an ConnStateData for logging */
+    squid_off_t *size_ptr;	/* pointer to size in an ConnStateData for logging */
     int *status_ptr;		/* pointer to status for logging */
 #if DELAY_POOLS
     delay_id delay_id;
Index: squid/src/stat.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/stat.c,v
retrieving revision 1.13.6.11.2.3
retrieving revision 1.13.6.11.2.4
diff -u -r1.13.6.11.2.3 -r1.13.6.11.2.4
--- squid/src/stat.c	5 Mar 2005 20:58:58 -0000	1.13.6.11.2.3
+++ squid/src/stat.c	26 Mar 2005 01:52:25 -0000	1.13.6.11.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: stat.c,v 1.13.6.11.2.3 2005/03/05 20:58:58 hno Exp $
+ * $Id: stat.c,v 1.13.6.11.2.4 2005/03/26 01:52:25 hno Exp $
  *
  * DEBUG: section 18    Cache Manager Statistics
  * AUTHOR: Harvest Derived
@@ -432,7 +432,7 @@
 	f = &fd_table[i];
 	if (!f->flags.open)
 	    continue;
-	storeAppendPrintf(sentry, "%4d %-6.6s %4d %7"PRINTF_OFF_T"%c %7"PRINTF_OFF_T"%c %-21s %s\n",
+	storeAppendPrintf(sentry, "%4d %-6.6s %4d %7" PRINTF_OFF_T "%c %7" PRINTF_OFF_T "%c %-21s %s\n",
 	    i,
 	    fdTypeStr[f->type],
 	    f->timeout_handler ? (int) (f->timeout - squid_curtime) / 60 : 0,
@@ -1397,7 +1397,7 @@
      */
     cd = CountHist[0].cd.kbytes_recv.kb - CountHist[minutes].cd.kbytes_recv.kb;
     if (s < cd)
-	debug(18, 1) ("STRANGE: srv_kbytes=%d, cd_kbytes=%d\n", (int)s, (int)cd);
+	debug(18, 1) ("STRANGE: srv_kbytes=%d, cd_kbytes=%d\n", (int) s, (int) cd);
     s -= cd;
 #endif
     if (c > s)
@@ -1421,7 +1421,7 @@
 	storeAppendPrintf(s, "Connection: %p\n", conn);
 	if (conn) {
 	    fd = conn->fd;
-	    storeAppendPrintf(s, "\tFD %d, read %"PRINTF_OFF_T", wrote %"PRINTF_OFF_T"\n", fd,
+	    storeAppendPrintf(s, "\tFD %d, read %" PRINTF_OFF_T ", wrote %" PRINTF_OFF_T "\n", fd,
 		fd_table[fd].bytes_read, fd_table[fd].bytes_written);
 	    storeAppendPrintf(s, "\tFD desc: %s\n", fd_table[fd].desc);
 	    storeAppendPrintf(s, "\tin: buf %p, offset %ld, size %ld\n",
Index: squid/src/stmem.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/stmem.c,v
retrieving revision 1.7.66.6
retrieving revision 1.7.66.7
diff -u -r1.7.66.6 -r1.7.66.7
--- squid/src/stmem.c	19 Mar 2005 23:19:13 -0000	1.7.66.6
+++ squid/src/stmem.c	26 Mar 2005 01:52:25 -0000	1.7.66.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: stmem.c,v 1.7.66.6 2005/03/19 23:19:13 hno Exp $
+ * $Id: stmem.c,v 1.7.66.7 2005/03/26 01:52:25 hno Exp $
  *
  * DEBUG: section 19    Store Memory Primitives
  * AUTHOR: Harvest Derived
@@ -143,7 +143,7 @@
     char *ptr_to_buf = NULL;
     int bytes_from_this_packet = 0;
     int bytes_into_this_packet = 0;
-    debug(19, 6) ("memCopy: offset %"PRINTF_OFF_T": size %d\n", offset, (int) size);
+    debug(19, 6) ("memCopy: offset %" PRINTF_OFF_T ": size %d\n", offset, (int) size);
     if (p == NULL)
 	return 0;
     assert(size > 0);
Index: squid/src/store.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store.c,v
retrieving revision 1.16.6.7.6.7
retrieving revision 1.16.6.7.6.8
diff -u -r1.16.6.7.6.7 -r1.16.6.7.6.8
--- squid/src/store.c	12 Mar 2005 01:31:55 -0000	1.16.6.7.6.7
+++ squid/src/store.c	26 Mar 2005 01:52:25 -0000	1.16.6.7.6.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store.c,v 1.16.6.7.6.7 2005/03/12 01:31:55 hno Exp $
+ * $Id: store.c,v 1.16.6.7.6.8 2005/03/26 01:52:25 hno Exp $
  *
  * DEBUG: section 20    Storage Manager
  * AUTHOR: Harvest Derived
@@ -942,12 +942,12 @@
     assert(e->mem_obj != NULL);
     reply = e->mem_obj->reply;
     debug(20, 3) ("storeEntryValidLength: Checking '%s'\n", storeKeyText(e->hash.key));
-    debug(20, 5) ("storeEntryValidLength:     object_len = %"PRINTF_OFF_T"\n",
+    debug(20, 5) ("storeEntryValidLength:     object_len = %" PRINTF_OFF_T "\n",
 	objectLen(e));
     debug(20, 5) ("storeEntryValidLength:         hdr_sz = %d\n",
 	reply->hdr_sz);
     clen = httpReplyBodySize(e->mem_obj->method, reply);
-    debug(20, 5) ("storeEntryValidLength: content_length = %"PRINTF_OFF_T"\n",
+    debug(20, 5) ("storeEntryValidLength: content_length = %" PRINTF_OFF_T "\n",
 	clen);
     if (clen < 0) {
 	debug(20, 5) ("storeEntryValidLength: Unspecified content length: %s\n",
@@ -957,7 +957,7 @@
     diff = reply->hdr_sz + clen - objectLen(e);
     if (diff == 0)
 	return 1;
-    debug(20, 2) ("storeEntryValidLength: %"PRINTF_OFF_T" bytes too %s; '%s'\n",
+    debug(20, 2) ("storeEntryValidLength: %" PRINTF_OFF_T " bytes too %s; '%s'\n",
 	diff < 0 ? -diff : diff,
 	diff < 0 ? "big" : "small",
 	storeKeyText(e->hash.key));
@@ -1125,14 +1125,14 @@
 	mem->data_hdr.head);
     debug(20, 1) ("MemObject->data.tail: %p\n",
 	mem->data_hdr.tail);
-    debug(20, 1) ("MemObject->data.origin_offset: %"PRINTF_OFF_T"\n",
+    debug(20, 1) ("MemObject->data.origin_offset: %" PRINTF_OFF_T "\n",
 	mem->data_hdr.origin_offset);
     debug(20, 1) ("MemObject->start_ping: %ld.%06d\n",
 	(long int) mem->start_ping.tv_sec,
 	(int) mem->start_ping.tv_usec);
-    debug(20, 1) ("MemObject->inmem_hi: %"PRINTF_OFF_T"\n",
+    debug(20, 1) ("MemObject->inmem_hi: %" PRINTF_OFF_T "\n",
 	mem->inmem_hi);
-    debug(20, 1) ("MemObject->inmem_lo: %"PRINTF_OFF_T"\n",
+    debug(20, 1) ("MemObject->inmem_lo: %" PRINTF_OFF_T "\n",
 	mem->inmem_lo);
     debug(20, 1) ("MemObject->nclients: %d\n",
 	mem->nclients);
@@ -1155,7 +1155,7 @@
     debug(20, l) ("StoreEntry->lastref: %ld\n", (long int) e->lastref);
     debug(20, l) ("StoreEntry->expires: %ld\n", (long int) e->expires);
     debug(20, l) ("StoreEntry->lastmod: %ld\n", (long int) e->lastmod);
-    debug(20, l) ("StoreEntry->swap_file_sz: %"PRINTF_OFF_T"\n", (squid_off_t) e->swap_file_sz);
+    debug(20, l) ("StoreEntry->swap_file_sz: %" PRINTF_OFF_T "\n", (squid_off_t) e->swap_file_sz);
     debug(20, l) ("StoreEntry->refcount: %d\n", e->refcount);
     debug(20, l) ("StoreEntry->flags: %s\n", storeEntryFlags(e));
     debug(20, l) ("StoreEntry->swap_dirn: %d\n", (int) e->swap_dirn);
Index: squid/src/store_client.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_client.c,v
retrieving revision 1.9.6.2.16.8
retrieving revision 1.9.6.2.16.9
diff -u -r1.9.6.2.16.8 -r1.9.6.2.16.9
--- squid/src/store_client.c	25 Mar 2005 03:34:31 -0000	1.9.6.2.16.8
+++ squid/src/store_client.c	26 Mar 2005 01:52:26 -0000	1.9.6.2.16.9
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_client.c,v 1.9.6.2.16.8 2005/03/25 03:34:31 hno Exp $
+ * $Id: store_client.c,v 1.9.6.2.16.9 2005/03/26 01:52:26 hno Exp $
  *
  * DEBUG: section 20    Storage Manager Client-Side Interface
  * AUTHOR: Duane Wessels
@@ -183,7 +183,7 @@
     void *data)
 {
     assert(!EBIT_TEST(e->flags, ENTRY_ABORTED));
-    debug(20, 3) ("storeClientCopy: %s, seen %"PRINTF_OFF_T", want %"PRINTF_OFF_T", size %d, cb %p, cbdata %p\n",
+    debug(20, 3) ("storeClientCopy: %s, seen %" PRINTF_OFF_T ", want %" PRINTF_OFF_T ", size %d, cb %p, cbdata %p\n",
 	storeKeyText(e->hash.key),
 	seen_offset,
 	copy_offset,
Index: squid/src/store_log.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_log.c,v
retrieving revision 1.7.74.2
retrieving revision 1.7.74.3
diff -u -r1.7.74.2 -r1.7.74.3
--- squid/src/store_log.c	12 Mar 2005 01:32:12 -0000	1.7.74.2
+++ squid/src/store_log.c	26 Mar 2005 01:52:26 -0000	1.7.74.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_log.c,v 1.7.74.2 2005/03/12 01:32:12 hno Exp $
+ * $Id: store_log.c,v 1.7.74.3 2005/03/26 01:52:26 hno Exp $
  *
  * DEBUG: section 20    Storage Manager Logging Functions
  * AUTHOR: Duane Wessels
@@ -69,7 +69,7 @@
 	 * Because if we print it before the swap file number, it'll break
 	 * the existing log format.
 	 */
-	logfilePrintf(storelog, "%9ld.%03d %-7s %02d %08X %s %4d %9ld %9ld %9ld %s %"PRINTF_OFF_T"/%"PRINTF_OFF_T" %s %s\n",
+	logfilePrintf(storelog, "%9ld.%03d %-7s %02d %08X %s %4d %9ld %9ld %9ld %s %" PRINTF_OFF_T "/%" PRINTF_OFF_T " %s %s\n",
 	    (long int) current_time.tv_sec,
 	    (int) current_time.tv_usec / 1000,
 	    storeLogTags[tag],
Index: squid/src/store_swapout.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_swapout.c,v
retrieving revision 1.11.2.1.30.9
retrieving revision 1.11.2.1.30.10
diff -u -r1.11.2.1.30.9 -r1.11.2.1.30.10
--- squid/src/store_swapout.c	19 Mar 2005 01:47:36 -0000	1.11.2.1.30.9
+++ squid/src/store_swapout.c	26 Mar 2005 01:52:26 -0000	1.11.2.1.30.10
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_swapout.c,v 1.11.2.1.30.9 2005/03/19 01:47:36 hno Exp $
+ * $Id: store_swapout.c,v 1.11.2.1.30.10 2005/03/26 01:52:26 hno Exp $
  *
  * DEBUG: section 20    Storage Manager Swapout Functions
  * AUTHOR: Duane Wessels
@@ -117,7 +117,7 @@
      * still writing to disk or not
      */
     lowest_offset = storeLowestMemReaderOffset(e);
-    debug(20, 7) ("storeSwapOut: lowest_offset = %"PRINTF_OFF_T"\n",
+    debug(20, 7) ("storeSwapOut: lowest_offset = %" PRINTF_OFF_T "\n",
 	lowest_offset);
     /*
      * Careful.  lowest_offset can be greater than inmem_hi, such
@@ -175,14 +175,14 @@
 	debug(20, 3) ("storeSwapOut: %s SPECIAL\n", storeUrl(e));
 	return;
     }
-    debug(20, 7) ("storeSwapOut: mem->inmem_lo = %"PRINTF_OFF_T"\n",
+    debug(20, 7) ("storeSwapOut: mem->inmem_lo = %" PRINTF_OFF_T "\n",
 	mem->inmem_lo);
-    debug(20, 7) ("storeSwapOut: mem->inmem_hi = %"PRINTF_OFF_T"\n",
+    debug(20, 7) ("storeSwapOut: mem->inmem_hi = %" PRINTF_OFF_T "\n",
 	mem->inmem_hi);
-    debug(20, 7) ("storeSwapOut: swapout.queue_offset = %"PRINTF_OFF_T"\n",
+    debug(20, 7) ("storeSwapOut: swapout.queue_offset = %" PRINTF_OFF_T "\n",
 	mem->swapout.queue_offset);
     if (mem->swapout.sio)
-	debug(20, 7) ("storeSwapOut: storeOffset() = %"PRINTF_OFF_T"\n",
+	debug(20, 7) ("storeSwapOut: storeOffset() = %" PRINTF_OFF_T "\n",
 	    storeOffset(mem->swapout.sio));
     assert(mem->inmem_hi >= mem->swapout.queue_offset);
     /*
@@ -216,7 +216,7 @@
 	return;
     if (e->swap_status == SWAPOUT_WRITING)
 	assert(mem->inmem_lo <= on_disk);
-    debug(20, 7) ("storeSwapOut: swapout_size = %"PRINTF_OFF_T"\n",
+    debug(20, 7) ("storeSwapOut: swapout_size = %" PRINTF_OFF_T "\n",
 	swapout_size);
     if (swapout_size == 0) {
 	if (e->store_status == STORE_OK)
@@ -273,7 +273,7 @@
 
 	debug(20, 3) ("storeSwapOut: swap_buf_len = %d\n", (int) swap_buf_len);
 	assert(swap_buf_len > 0);
-	debug(20, 3) ("storeSwapOut: swapping out %d bytes from %"PRINTF_OFF_T"\n",
+	debug(20, 3) ("storeSwapOut: swapping out %d bytes from %" PRINTF_OFF_T "\n",
 	    (int) swap_buf_len, mem->swapout.queue_offset);
 	mem->swapout.queue_offset += swap_buf_len;
 	storeWrite(mem->swapout.sio, stmemNodeGet(mem->swapout.memnode), swap_buf_len, -1, stmemNodeFree);
Index: squid/src/structs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/structs.h,v
retrieving revision 1.48.2.33.2.12
retrieving revision 1.48.2.33.2.13
diff -u -r1.48.2.33.2.12 -r1.48.2.33.2.13
--- squid/src/structs.h	25 Mar 2005 03:34:32 -0000	1.48.2.33.2.12
+++ squid/src/structs.h	26 Mar 2005 01:52:26 -0000	1.48.2.33.2.13
@@ -1,6 +1,6 @@
 
 /*
- * $Id: structs.h,v 1.48.2.33.2.12 2005/03/25 03:34:32 hno Exp $
+ * $Id: structs.h,v 1.48.2.33.2.13 2005/03/26 01:52:26 hno Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -888,7 +888,7 @@
 /* http content-range header field */
 struct _HttpHdrContRange {
     HttpHdrRangeSpec spec;
-    squid_off_t elength;		/* entity length, not content length */
+    squid_off_t elength;	/* entity length, not content length */
 };
 
 /* some fields can hold either time or etag specs (e.g. If-Range) */
@@ -902,7 +902,7 @@
 struct _HttpHdrRangeIter {
     HttpHdrRangePos pos;
     const HttpHdrRangeSpec *spec;	/* current spec at pos */
-    squid_off_t debt_size;		/* bytes left to send from the current spec */
+    squid_off_t debt_size;	/* bytes left to send from the current spec */
     squid_off_t prefix_size;	/* the size of the incoming HTTP msg prefix */
     String boundary;		/* boundary for multipart responses */
 };
@@ -1925,6 +1925,7 @@
     u_short flags;
     unsigned char key[MD5_DIGEST_CHARS];
 };
+
 #endif
 
 
Index: squid/src/typedefs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/typedefs.h,v
retrieving revision 1.25.6.6.8.8
retrieving revision 1.25.6.6.8.9
diff -u -r1.25.6.6.8.8 -r1.25.6.6.8.9
--- squid/src/typedefs.h	25 Mar 2005 03:34:39 -0000	1.25.6.6.8.8
+++ squid/src/typedefs.h	26 Mar 2005 01:52:26 -0000	1.25.6.6.8.9
@@ -1,6 +1,6 @@
 
 /*
- * $Id: typedefs.h,v 1.25.6.6.8.8 2005/03/25 03:34:39 hno Exp $
+ * $Id: typedefs.h,v 1.25.6.6.8.9 2005/03/26 01:52:26 hno Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -43,14 +43,14 @@
 
 #if SIZEOF_INT64_T > SIZEOF_LONG && defined(PRId64) && defined(INT64_MAX) && HAVE_STRTOLL
 typedef int64_t squid_off_t;
-#  define SIZEOF_SQUID_OFF_T SIZEOF_INT64_T
-#  define PRINTF_OFF_T PRId64
-#  define strto_off_t (int64_t)strtoll
+#define SIZEOF_SQUID_OFF_T SIZEOF_INT64_T
+#define PRINTF_OFF_T PRId64
+#define strto_off_t (int64_t)strtoll
 #else
 typedef long squid_off_t;
-#  define SIZEOF_SQUID_OFF_T SIZEOF_LONG
-#  define PRINTF_OFF_T "ld"
-#  define strto_off_t strtol
+#define SIZEOF_SQUID_OFF_T SIZEOF_LONG
+#define PRINTF_OFF_T "ld"
+#define strto_off_t strtol
 #endif
 
 #if LARGE_CACHE_FILES
Index: squid/src/fs/aufs/store_dir_aufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/aufs/store_dir_aufs.c,v
retrieving revision 1.23.6.9.8.8
retrieving revision 1.23.6.9.8.9
diff -u -r1.23.6.9.8.8 -r1.23.6.9.8.9
--- squid/src/fs/aufs/store_dir_aufs.c	26 Mar 2005 01:46:24 -0000	1.23.6.9.8.8
+++ squid/src/fs/aufs/store_dir_aufs.c	26 Mar 2005 01:52:26 -0000	1.23.6.9.8.9
@@ -366,7 +366,7 @@
 }
 
 static void
-storeAufsDirRebuildComplete(RebuildState *rb)
+storeAufsDirRebuildComplete(RebuildState * rb)
 {
     if (rb->log) {
 	debug(47, 1) ("Done reading %s swaplog (%d entries)\n",
@@ -479,7 +479,7 @@
 			size_t swap_file_sz;
 			u_short refcount;
 			u_short flags;
-		    } *tmp = t->value;
+		    }     *tmp = t->value;
 		    assert(sizeof(*tmp) == STORE_HDR_METASIZE_OLD);
 		    tmpe.timestamp = tmp->timestamp;
 		    tmpe.lastref = tmp->lastref;
@@ -881,6 +881,7 @@
     }
     eventAdd("storeRebuild", storeAufsDirRebuildFromSwapLogOld, rb, 0.0, 1);
 }
+
 #endif
 
 static void
@@ -909,8 +910,8 @@
 	    return;
 	}
 #endif
-	debug(47, 1)("storeAufsDirRebuildFromSwapLog: Unsupported swap.state version %d size %d\n",
-		hdr.version, hdr.record_size);
+	debug(47, 1) ("storeAufsDirRebuildFromSwapLog: Unsupported swap.state version %d size %d\n",
+	    hdr.version, hdr.record_size);
 	storeAufsDirRebuildComplete(rb);
 	return;
     }
Index: squid/src/fs/aufs/store_io_aufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/aufs/store_io_aufs.c,v
retrieving revision 1.13.2.11.8.4
retrieving revision 1.13.2.11.8.5
diff -u -r1.13.2.11.8.4 -r1.13.2.11.8.5
--- squid/src/fs/aufs/store_io_aufs.c	19 Mar 2005 01:47:36 -0000	1.13.2.11.8.4
+++ squid/src/fs/aufs/store_io_aufs.c	26 Mar 2005 01:52:26 -0000	1.13.2.11.8.5
@@ -167,7 +167,7 @@
 	q = memPoolAlloc(aufs_qread_pool);
 	q->buf = buf;
 	q->size = size;
-	q->offset = (off_t)offset;
+	q->offset = (off_t) offset;
 	q->callback = callback;
 	q->callback_data = callback_data;
 	cbdataLock(q->callback_data);
@@ -183,10 +183,10 @@
     sio->offset = offset;
     aiostate->flags.reading = 1;
 #if ASYNC_READ
-    aioRead(aiostate->fd, (off_t)offset, size, storeAufsReadDone, sio);
+    aioRead(aiostate->fd, (off_t) offset, size, storeAufsReadDone, sio);
     statCounter.syscalls.disk.reads++;
 #else
-    file_read(aiostate->fd, buf, size, (off_t)offset, storeAufsReadDone, sio);
+    file_read(aiostate->fd, buf, size, (off_t) offset, storeAufsReadDone, sio);
     /* file_read() increments syscalls.disk.reads */
 #endif
 }
@@ -206,7 +206,7 @@
 	q = memPoolAlloc(aufs_qwrite_pool);
 	q->buf = buf;
 	q->size = size;
-	q->offset = (off_t)offset;
+	q->offset = (off_t) offset;
 	q->free_func = free_func;
 	linklistPush(&(aiostate->pending_writes), q);
 	return;
@@ -218,17 +218,17 @@
 	q = memPoolAlloc(aufs_qwrite_pool);
 	q->buf = buf;
 	q->size = size;
-	q->offset = (off_t)offset;
+	q->offset = (off_t) offset;
 	q->free_func = free_func;
 	linklistPush(&(aiostate->pending_writes), q);
 	return;
     }
     aiostate->flags.writing = 1;
-    aioWrite(aiostate->fd, (off_t)offset, buf, size, storeAufsWriteDone, sio,
+    aioWrite(aiostate->fd, (off_t) offset, buf, size, storeAufsWriteDone, sio,
 	free_func);
     statCounter.syscalls.disk.writes++;
 #else
-    file_write(aiostate->fd, (off_t)offset, buf, size, storeAufsWriteDone, sio,
+    file_write(aiostate->fd, (off_t) offset, buf, size, storeAufsWriteDone, sio,
 	free_func);
     /* file_write() increments syscalls.disk.writes */
 #endif
Index: squid/src/fs/coss/store_io_coss.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/coss/store_io_coss.c,v
retrieving revision 1.9.6.6.16.2
retrieving revision 1.9.6.6.16.3
diff -u -r1.9.6.6.16.2 -r1.9.6.6.16.3
--- squid/src/fs/coss/store_io_coss.c	5 Mar 2005 20:58:59 -0000	1.9.6.6.16.2
+++ squid/src/fs/coss/store_io_coss.c	26 Mar 2005 01:52:28 -0000	1.9.6.6.16.3
@@ -547,7 +547,7 @@
     if (errflag) {
 	coss_stats.stripe_write.fail++;
 	debug(79, 1) ("storeCossWriteMemBufDone: got failure (%d)\n", errflag);
-	debug(79, 1) ("FD %d, size=%x\n", fd, (int)(t->diskend - t->diskstart));
+	debug(79, 1) ("FD %d, size=%x\n", fd, (int) (t->diskend - t->diskstart));
     } else {
 	coss_stats.stripe_write.success++;
     }
Index: squid/src/fs/diskd/diskd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/diskd/diskd.c,v
retrieving revision 1.6.122.2
retrieving revision 1.6.122.3
diff -u -r1.6.122.2 -r1.6.122.3
--- squid/src/fs/diskd/diskd.c	12 Mar 2005 01:49:16 -0000	1.6.122.2
+++ squid/src/fs/diskd/diskd.c	26 Mar 2005 01:52:29 -0000	1.6.122.3
@@ -135,18 +135,18 @@
     }
     if (r->offset > -1 && r->offset != fs->offset) {
 	DEBUG(2)
-	    fprintf(stderr, "seeking to %"PRINTF_OFF_T"\n", (squid_off_t)r->offset);
+	    fprintf(stderr, "seeking to %" PRINTF_OFF_T "\n", (squid_off_t) r->offset);
 	if (lseek(fs->fd, r->offset, SEEK_SET) < 0) {
 	    DEBUG(1) {
-		fprintf(stderr, "%d FD %d, offset %"PRINTF_OFF_T": ", (int) mypid, fs->fd, (squid_off_t)r->offset);
+		fprintf(stderr, "%d FD %d, offset %" PRINTF_OFF_T ": ", (int) mypid, fs->fd, (squid_off_t) r->offset);
 		perror("lseek");
 	    }
 	}
     }
     x = read(fs->fd, buf, readlen);
     DEBUG(2)
-	fprintf(stderr, "%d READ %d,%d,%"PRINTF_OFF_T" ret %d\n", (int) mypid,
-	fs->fd, readlen, (squid_off_t)r->offset, x);
+	fprintf(stderr, "%d READ %d,%d,%" PRINTF_OFF_T " ret %d\n", (int) mypid,
+	fs->fd, readlen, (squid_off_t) r->offset, x);
     if (x < 0) {
 	DEBUG(1) {
 	    fprintf(stderr, "%d FD %d: ", (int) mypid, fs->fd);
@@ -176,14 +176,14 @@
     if (r->offset > -1 && r->offset != fs->offset) {
 	if (lseek(fs->fd, r->offset, SEEK_SET) < 0) {
 	    DEBUG(1) {
-		fprintf(stderr, "%d FD %d, offset %"PRINTF_OFF_T": ", (int) mypid, fs->fd, (squid_off_t)r->offset);
+		fprintf(stderr, "%d FD %d, offset %" PRINTF_OFF_T ": ", (int) mypid, fs->fd, (squid_off_t) r->offset);
 		perror("lseek");
 	    }
 	}
     }
     DEBUG(2)
-	fprintf(stderr, "%d WRITE %d,%d,%"PRINTF_OFF_T"\n", (int) mypid,
-	fs->fd, wrtlen, (squid_off_t)r->offset);
+	fprintf(stderr, "%d WRITE %d,%d,%" PRINTF_OFF_T "\n", (int) mypid,
+	fs->fd, wrtlen, (squid_off_t) r->offset);
     x = write(fs->fd, buf, wrtlen);
     if (x < 0) {
 	DEBUG(1) {
Index: squid/src/fs/diskd/store_dir_diskd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/diskd/store_dir_diskd.c,v
retrieving revision 1.32.6.8.16.7
retrieving revision 1.32.6.8.16.8
diff -u -r1.32.6.8.16.7 -r1.32.6.8.16.8
--- squid/src/fs/diskd/store_dir_diskd.c	26 Mar 2005 01:46:26 -0000	1.32.6.8.16.7
+++ squid/src/fs/diskd/store_dir_diskd.c	26 Mar 2005 01:52:29 -0000	1.32.6.8.16.8
@@ -536,7 +536,7 @@
 
 
 static void
-storeDiskdDirRebuildComplete(RebuildState *rb)
+storeDiskdDirRebuildComplete(RebuildState * rb)
 {
     if (rb->log) {
 	debug(47, 1) ("Done reading %s swaplog (%d entries)\n",
@@ -649,7 +649,7 @@
 			size_t swap_file_sz;
 			u_short refcount;
 			u_short flags;
-		    } *tmp = t->value;
+		    }     *tmp = t->value;
 		    assert(sizeof(*tmp) == STORE_HDR_METASIZE_OLD);
 		    tmpe.timestamp = tmp->timestamp;
 		    tmpe.lastref = tmp->lastref;
@@ -734,7 +734,7 @@
     /* load a number of objects per invocation */
     for (count = 0; count < rb->speed; count++) {
 	if (fread(&s, ss, 1, rb->log) != 1) {
-		storeDiskdDirRebuildComplete(rb);
+	    storeDiskdDirRebuildComplete(rb);
 	    return;
 	}
 	rb->n_read++;
@@ -927,7 +927,7 @@
     /* load a number of objects per invocation */
     for (count = 0; count < rb->speed; count++) {
 	if (fread(&s, ss, 1, rb->log) != 1) {
-		storeDiskdDirRebuildComplete(rb);
+	    storeDiskdDirRebuildComplete(rb);
 	    return;
 	}
 	rb->n_read++;
@@ -1101,6 +1101,7 @@
     }
     eventAdd("storeRebuild", storeDiskdDirRebuildFromSwapLogOld, rb, 0.0, 1);
 }
+
 #endif
 
 static void
@@ -1129,8 +1130,8 @@
 	    return;
 	}
 #endif
-	debug(47, 1)("storeDiskdDirRebuildFromSwapLog: Unsupported swap.state version %d size %d\n",
-		hdr.version, hdr.record_size);
+	debug(47, 1) ("storeDiskdDirRebuildFromSwapLog: Unsupported swap.state version %d size %d\n",
+	    hdr.version, hdr.record_size);
 	storeDiskdDirRebuildComplete(rb);
 	return;
     }
@@ -1925,7 +1926,7 @@
  */
 
 void *
-storeDiskdShmGet(SwapDir * sd, int * shm_offset)
+storeDiskdShmGet(SwapDir * sd, int *shm_offset)
 {
     char *buf = NULL;
     diskdinfo_t *diskdinfo = sd->fsdata;
Index: squid/src/fs/diskd/store_io_diskd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/diskd/store_io_diskd.c,v
retrieving revision 1.8.22.3.26.2
retrieving revision 1.8.22.3.26.3
diff -u -r1.8.22.3.26.2 -r1.8.22.3.26.3
--- squid/src/fs/diskd/store_io_diskd.c	12 Mar 2005 01:32:26 -0000	1.8.22.3.26.2
+++ squid/src/fs/diskd/store_io_diskd.c	26 Mar 2005 01:52:29 -0000	1.8.22.3.26.3
@@ -220,7 +220,7 @@
 	diskdstate->id,
 	sio,
 	size,
-	(off_t)offset,
+	(off_t) offset,
 	shm_offset);
     if (x < 0) {
 	debug(79, 1) ("storeDiskdSend READ: %s\n", xstrerror());
@@ -253,7 +253,7 @@
 	diskdstate->id,
 	sio,
 	size,
-	(off_t)offset,
+	(off_t) offset,
 	shm_offset);
     if (x < 0) {
 	debug(79, 1) ("storeDiskdSend WRITE: %s\n", xstrerror());
Index: squid/src/fs/ufs/store_dir_ufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/ufs/store_dir_ufs.c,v
retrieving revision 1.21.6.10.8.7
retrieving revision 1.21.6.10.8.8
diff -u -r1.21.6.10.8.7 -r1.21.6.10.8.8
--- squid/src/fs/ufs/store_dir_ufs.c	26 Mar 2005 01:46:27 -0000	1.21.6.10.8.7
+++ squid/src/fs/ufs/store_dir_ufs.c	26 Mar 2005 01:52:29 -0000	1.21.6.10.8.8
@@ -373,7 +373,7 @@
 }
 
 static void
-storeUfsDirRebuildComplete(RebuildState *rb)
+storeUfsDirRebuildComplete(RebuildState * rb)
 {
     if (rb->log) {
 	debug(47, 1) ("Done reading %s swaplog (%d entries)\n",
@@ -486,7 +486,7 @@
 			size_t swap_file_sz;
 			u_short refcount;
 			u_short flags;
-		    } *tmp = t->value;
+		    }     *tmp = t->value;
 		    assert(sizeof(*tmp) == STORE_HDR_METASIZE_OLD);
 		    tmpe.timestamp = tmp->timestamp;
 		    tmpe.lastref = tmp->lastref;
@@ -888,6 +888,7 @@
     }
     eventAdd("storeRebuild", storeUfsDirRebuildFromSwapLogOld, rb, 0.0, 1);
 }
+
 #endif
 
 static void
@@ -916,8 +917,8 @@
 	    return;
 	}
 #endif
-	debug(47, 1)("storeUfsDirRebuildFromSwapLog: Unsupported swap.state version %d size %d\n",
-		hdr.version, hdr.record_size);
+	debug(47, 1) ("storeUfsDirRebuildFromSwapLog: Unsupported swap.state version %d size %d\n",
+	    hdr.version, hdr.record_size);
 	storeUfsDirRebuildComplete(rb);
 	return;
     }
Index: squid/src/fs/ufs/store_io_ufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/ufs/store_io_ufs.c,v
retrieving revision 1.7.6.3.8.3
retrieving revision 1.7.6.3.8.4
diff -u -r1.7.6.3.8.3 -r1.7.6.3.8.4
--- squid/src/fs/ufs/store_io_ufs.c	12 Mar 2005 01:32:28 -0000	1.7.6.3.8.3
+++ squid/src/fs/ufs/store_io_ufs.c	26 Mar 2005 01:52:29 -0000	1.7.6.3.8.4
@@ -166,7 +166,7 @@
     file_read(ufsstate->fd,
 	buf,
 	size,
-	(off_t)offset,
+	(off_t) offset,
 	storeUfsReadDone,
 	sio);
 }
@@ -178,7 +178,7 @@
     debug(79, 3) ("storeUfsWrite: dirn %d, fileno %08X, FD %d\n", sio->swap_dirn, sio->swap_filen, ufsstate->fd);
     ufsstate->flags.writing = 1;
     file_write(ufsstate->fd,
-	(off_t)offset,
+	(off_t) offset,
 	buf,
 	size,
 	storeUfsWriteDone,
